graphics/aalib - The NetBSD Packages Collection

ASCII Art library

AAlib is a portable ASCII Art library. From the AA project
documentation:  "There are many problems of various kinds with
video cards, low frequency monitors, crashing graphical apps...
AA-lib IS the solution. It works on a terminal of any kind, it is
fast and portable, it gives to you standard API.  It gives to your
old hardware more power! "

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 8.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 8.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 8.0i386aalib-1.4.0.5nb4.tgz
NetBSD 8.0i386aalib-1.4.0.5nb4.tgz
NetBSD 8.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 8.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 8.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 8.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 8.0x86_64aalib-1.4.0.5nb4.tgz
NetBSD 8.0x86_64aalib-1.4.0.5nb4.tgz
NetBSD 9.0aarch64aalib-1.4.0.5nb4.tgz
NetBSD 9.0aarch64aalib-1.4.0.5nb4.tgz
NetBSD 9.0aarch64aalib-1.4.0.5nb4.tgz
NetBSD 9.0alphaaalib-1.4.0.5nb4.tgz
NetBSD 9.0alphaaalib-1.4.0.5nb4.tgz
NetBSD 9.0alphaaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv6hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv6hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv6hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0earmv7hfaalib-1.4.0.5nb4.tgz
NetBSD 9.0i386aalib-1.4.0.5nb4.tgz
NetBSD 9.0i386aalib-1.4.0.5nb4.tgz
NetBSD 9.0i386aalib-1.4.0.5nb4.tgz
NetBSD 9.0mips64ebaalib-1.4.0.5nb4.tgz
NetBSD 9.0mips64ebaalib-1.4.0.5nb4.tgz
NetBSD 9.0mips64ebaalib-1.4.0.5nb4.tgz
NetBSD 9.0mips64ebaalib-1.4.0.5nb4.tgz
NetBSD 9.0mips64ebaalib-1.4.0.5nb4.tgz
NetBSD 9.0mipselaalib-1.4.0.5nb4.tgz
NetBSD 9.0mipselaalib-1.4.0.5nb4.tgz
NetBSD 9.0mipselaalib-1.4.0.5nb4.tgz
NetBSD 9.0mipselaalib-1.4.0.5nb4.tgz
NetBSD 9.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 9.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 9.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 9.0powerpcaalib-1.4.0.5nb4.tgz
NetBSD 9.0sh3elaalib-1.4.0.5nb4.tgz
NetBSD 9.0sh3elaalib-1.4.0.5nb4.tgz
NetBSD 9.0sh3elaalib-1.4.0.5nb4.tgz
NetBSD 9.0sh3elaalib-1.4.0.5nb4.tgz
NetBSD 9.0sparc64aalib-1.4.0.5nb4.tgz
NetBSD 9.0sparc64aalib-1.4.0.5nb4.tgz
NetBSD 9.0sparc64aalib-1.4.0.5nb4.tgz
NetBSD 9.0sparcaalib-1.4.0.5nb4.tgz
NetBSD 9.0sparcaalib-1.4.0.5nb4.tgz
NetBSD 9.0sparcaalib-1.4.0.5nb4.tgz
NetBSD 9.0sparcaalib-1.4.0.5nb4.tgz
NetBSD 9.0sparcaalib-1.4.0.5nb4.tgz
NetBSD 9.0vaxaalib-1.4.0.5nb4.tgz
NetBSD 9.0vaxaalib-1.4.0.5nb4.tgz
NetBSD 9.0vaxaalib-1.4.0.5nb4.tgz
NetBSD 9.0x86_64aalib-1.4.0.5nb4.tgz
NetBSD 9.0x86_64aalib-1.4.0.5nb4.tgz
NetBSD 9.0x86_64aalib-1.4.0.5nb4.tgz
NetBSD 9.0x86_64aalib-1.4.0.5nb4.tgz
NetBSD 9.0x86_64aalib-1.4.0.5nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

curses
Enable curses support.
slang
Enable S-Lang support.
x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.